> ## Documentation Index
> Fetch the complete documentation index at: https://docs.photalabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile Status

> Get the status of a profile.



## OpenAPI

````yaml https://api.photalabs.com/v1/phota/openapi.json get /v1/phota/profiles/{profile_id}/status
openapi: 3.1.0
info:
  title: Phota API
  description: Create and manage profiles for photo editing and enhancement.
  version: v0.5.0
servers:
  - url: https://api.photalabs.com
security: []
tags:
  - name: Studio
    description: Image editing, generation, and enhancement.
  - name: Profiles
    description: 'Profile lifecycle: create, query, delete.'
paths:
  /v1/phota/profiles/{profile_id}/status:
    get:
      tags:
        - Profiles
      summary: Get Profile Status
      description: Get the status of a profile.
      operationId: get_profile_status_v1_phota_profiles__profile_id__status_get
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            title: Profile Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileStatusResponse'
        '401':
          description: Missing or invalid API key in the X-API-Key header.
        '402':
          description: Insufficient prepaid credit balance.
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhotaError404Response'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PhotaError500Response'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProfileStatusResponse:
      properties:
        profile_id:
          type: string
          title: Profile Id
          description: The queried profile identifier.
        status:
          $ref: '#/components/schemas/ProfileStatus'
          description: Current status of the profile.
        message:
          type: string
          title: Message
          description: Optional message in case of an error.
      type: object
      required:
        - profile_id
        - status
        - message
      title: ProfileStatusResponse
      description: Response containing the current status of a profile.
    PhotaError404Response:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable error message.
        code:
          type: string
          enum:
            - NOT_FOUND
            - PROFILE_NOT_FOUND
            - PROFILE_NOT_READY
          title: Code
          description: Machine-readable error code.
        request_id:
          type: string
          title: Request Id
          description: Unique request identifier for support.
      type: object
      required:
        - detail
        - code
        - request_id
      title: PhotaError404Response
      description: Error response for 404 Not Found.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PhotaError500Response:
      properties:
        detail:
          type: string
          title: Detail
          description: Human-readable error message.
        code:
          type: string
          const: INTERNAL_ERROR
          title: Code
          description: Machine-readable error code.
        request_id:
          type: string
          title: Request Id
          description: Unique request identifier for support.
      type: object
      required:
        - detail
        - code
        - request_id
      title: PhotaError500Response
      description: Error response for 500 Internal Server Error.
    ProfileStatus:
      type: string
      enum:
        - VALIDATING
        - QUEUING
        - IN_PROGRESS
        - READY
        - ERROR
        - INACTIVE
      title: ProfileStatus
      description: Status of a profile.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````